# /*==LICENSE==*
# 
# CyanWorlds.com Engine - MMOG client, server and tools
# Copyright (C) 2011  Cyan Worlds, Inc.
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Additional permissions under GNU GPL version 3 section 7
#
# If you modify this Program, or any covered work, by linking or
# combining it with any of RAD Game Tools Bink SDK, Autodesk 3ds Max SDK,
# NVIDIA PhysX SDK, Microsoft DirectX SDK, OpenSSL library, Independent
# JPEG Group JPEG library, Microsoft Windows Media SDK, or Apple QuickTime SDK
# (or a modified version of those libraries),
# containing parts covered by the terms of the Bink SDK EULA, 3ds Max EULA,
# PhysX SDK EULA, DirectX SDK EULA, OpenSSL and SSLeay licenses, IJG
# JPEG Library README, Windows Media SDK EULA, or QuickTime SDK EULA, the
# licensors of this Program grant you additional
# permission to convey the resulting work. Corresponding Source for a
# non-source form of such a combination shall include the source code for
# the parts of OpenSSL and IJG JPEG Library used as well as that of the covered
# work.
# 
# You can contact Cyan Worlds, Inc. by email legal@cyan.com
#  or by snail mail at:
#       Cyan Worlds, Inc.
#       14617 N Newport Hwy
#       Mead, WA   99021
# 
# *==LICENSE==*/
#==============================================================
# READ:	When modifying an SDL record, do *not* modify the
#	existing record. You must copy and paste a new version
#	below the current one and make your changes there.
#==============================================================

#
# State Description Language for the D'ni City Island Main
# The order and contents of this file directly correlate with islmEmgrPhase0.py

STATEDESC city
{
	VERSION 18

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

    # Kadish gallery journey cloth
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT


# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1
    
}

STATEDESC city
{
	VERSION 19

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

    # Kadish gallery journey cloth
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT


# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1

#GZ Marker visibility
    VAR BOOL    islmGZMarkerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    
}

STATEDESC city
{
	VERSION 20

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

    # Kadish gallery journey cloth
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT


# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmScreamChance[1]     DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1

#GZ Marker visibility
    VAR BOOL    islmGZMarkerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    
}

STATEDESC city
{
	VERSION 21

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Kadish gallery journey cloth
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmMararonMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmYableshanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT

# Reward Clothing
    VAR BOOL	islmHardHat01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT

# Seasonal and Holidays
    VAR BOOL	islmMinorahVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight07Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight08Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT


# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmScreamChance[1]     DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1

#GZ Marker visibility
    VAR BOOL    islmGZMarkerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    
}

STATEDESC city
{
# This version has been updated in build 37
	VERSION 22

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Kadish gallery journey cloth
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmMararonMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmYableshanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT

# Reward Clothing
    VAR BOOL	islmHardHat01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT

# Seasonal and Holidays
    VAR BOOL	islmMinorahVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight07Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight08Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT


# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmScreamChance[1]     DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1

#GZ Marker visibility
    VAR BOOL    islmGZMarkerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Randomized objects
    VAR BOOL    islmTreasureBook01Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook01Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook01Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook06Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook06Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook08Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook08Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    
}

STATEDESC city
{
# This version has been updated in build UruTap
	VERSION 23

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Kadish gallery journey cloth
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal11Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMararonMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmYableshanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT


# Reward Clothing
    VAR BOOL	islmHardHat01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT

# Seasonal and Holidays
    VAR BOOL	islmMinorahVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight07Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight08Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT


# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmScreamChance[1]     DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1

#GZ Marker visibility
    VAR BOOL    islmGZMarkerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Randomized objects
    VAR BOOL    islmTreasureBook01Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook01Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook01Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook06Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook06Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook08Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook08Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    
}

STATEDESC city
{
# This version has been updated in build UruTap
	VERSION 24

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Kadish gallery journey cloth
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal11Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmRinerefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAileshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmShomatMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJakreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmVeeshaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMararonMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKoreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAhlsendarTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmSolathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeertaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmGanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmBenashirenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHemelinMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNaygenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHinashMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNeedrahMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRakeriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTejaraMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTiamelMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKedriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLemashalMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmIshekMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLoshemaneshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJiMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmDimathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmYableshanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmEmenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeemenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAdeshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLanarenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAsemlefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJaronMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRikoothMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKerathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT


# Reward Clothing
    VAR BOOL	islmHardHat01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT

# Seasonal and Holidays
    VAR BOOL	islmMinorahVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight07Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight08Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT


# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmScreamChance[1]     DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1

#GZ Marker visibility
    VAR BOOL    islmGZMarkerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Randomized objects
    VAR BOOL    islmTreasureBook01Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook01Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook01Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook06Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook06Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook08Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook08Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    
}


STATEDESC city
{
# This version has been updated in build UruTap
	VERSION 25

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Kadish gallery journey cloth
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal11Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmRinerefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAileshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmShomatMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJakreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmVeeshaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMararonMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKoreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAhlsendarTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmSolathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeertaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmGanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmBenashirenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHemelinMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNaygenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHinashMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNeedrahMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRakeriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTejaraMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTiamelMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKedriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLemashalMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmIshekMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLoshemaneshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJiMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmDimathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmYableshanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmEmenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeemenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAdeshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLanarenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAsemlefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJaronMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRikoothMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKerathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT


# Reward Clothing
    VAR BOOL	islmHardHat01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT

# Seasonal and Holidays
    VAR BOOL	islmMinorahVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight07Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight08Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT

 
# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmScreamChance[1]     DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1

#GZ Marker visibility
    VAR BOOL    islmGZMarkerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGZBeamVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Randomized objects
    VAR BOOL    islmTreasureBook01Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook01Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook01Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook06Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook06Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook08Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook08Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Museum variables
    VAR BOOL    islmNegilahnLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    
}


STATEDESC city
{
# This version has been updated in build UruTap
	VERSION 26

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Kadish gallery journey cloth
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal11Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmRinerefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAileshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmShomatMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJakreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmVeeshaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMararonMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKoreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAhlsendarTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmSolathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeertaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmGanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmBenashirenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHemelinMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNaygenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHinashMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNeedrahMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRakeriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTejaraMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTiamelMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKedriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLemashalMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmIshekMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLoshemaneshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJiMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmDimathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmYableshanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmEmenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeemenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAdeshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLanarenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAsemlefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJaronMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRikoothMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKerathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT


# Reward Clothing
    VAR BOOL	islmHardHat01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT

# Seasonal and Holidays
    VAR BOOL	islmMinorahVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight07Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight08Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT

 
# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmScreamChance[1]     DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorFunc[1]    DEFAULT=1 DEFAULTOPTION=VAULT

#GZ Marker visibility
    VAR BOOL    islmGZMarkerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGZBeamVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Randomized objects
    VAR BOOL    islmTreasureBook01Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook01Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook01Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook06Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook06Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook08Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook08Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Museum variables
    VAR BOOL    islmNegilahnLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Kahlo Pub Event Variables
    VAR BOOL    islmCityBlocker17Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT    
    
}


STATEDESC city
{
# This version has been updated in build UruTap
	VERSION 27

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Kadish gallery journey cloth
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal11Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmRinerefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAileshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmShomatMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJakreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmVeeshaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMararonMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKoreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAhlsendarTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmSolathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeertaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmGanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmBenashirenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHemelinMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNaygenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHinashMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNeedrahMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRakeriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTejaraMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTiamelMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKedriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLemashalMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmIshekMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLoshemaneshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJiMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmDimathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmYableshanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmEmenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeemenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAdeshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLanarenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAsemlefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJaronMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRikoothMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKerathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT


# Reward Clothing
    VAR BOOL	islmHardHat01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT

# Seasonal and Holidays
    VAR BOOL	islmMinorahVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight07Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight08Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT

 
# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmScreamChance[1]     DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT

#GZ Marker visibility
    VAR BOOL    islmGZMarkerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGZBeamVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Randomized objects
    VAR BOOL    islmTreasureBook01Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook01Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook01Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook06Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook06Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook08Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook08Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Museum variables
    VAR BOOL    islmNegilahnLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Kahlo Pub Event Variables
    VAR BOOL    islmCityBlocker17Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE	islmKahloPubHallCollapse[1]    DEFAULT=0 DEFAULTOPTION=VAULT


}


STATEDESC city
{
# This version has been updated in build UruTap
	VERSION 28

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Kadish gallery stuff
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal11Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmRinerefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAileshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmShomatMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJakreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmVeeshaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMararonMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKoreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAhlsendarTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmSolathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeertaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmGanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmBenashirenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHemelinMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNaygenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHinashMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNeedrahMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRakeriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTejaraMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTiamelMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKedriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLemashalMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmIshekMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLoshemaneshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJiMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmDimathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmYableshanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmEmenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeemenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAdeshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLanarenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAsemlefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJaronMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRikoothMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKerathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT


# Reward Clothing
    VAR BOOL	islmHardHat01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT

# Seasonal and Holidays
    VAR BOOL	islmMinorahVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight07Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight08Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT

 
# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmScreamChance[1]     DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT

#GZ Marker visibility
    VAR BOOL    islmGZMarkerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGZBeamVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Randomized objects
    VAR BOOL    islmTreasureBook01Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook01Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook01Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook06Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook06Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook08Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook08Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Museum variables
    VAR BOOL    islmNegilahnLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Kahlo Pub Event Variables
    VAR BOOL    islmCityBlocker17Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE	islmKahloPubHallCollapse[1]    DEFAULT=0 DEFAULTOPTION=VAULT


}



STATEDESC city
{
# This version has been updated in build UruTap
	VERSION 29

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Kadish gallery stuff
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorsOn[1]    DEFAULT=0
    VAR BOOL    islmKadishGalleryDoor1Closed[1]    DEFAULT=1
    VAR BOOL    islmKadishGalleryDoor2Closed[1]    DEFAULT=1
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal11Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmRinerefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAileshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmShomatMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJakreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmVeeshaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMararonMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKoreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAhlsendarTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmSolathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeertaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmGanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmBenashirenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHemelinMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNaygenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHinashMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNeedrahMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRakeriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTejaraMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTiamelMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKedriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLemashalMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmIshekMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLoshemaneshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJiMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmDimathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmYableshanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmEmenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeemenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAdeshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLanarenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAsemlefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJaronMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRikoothMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKerathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT


# Reward Clothing
    VAR BOOL	islmHardHat01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT

# Seasonal and Holidays
    VAR BOOL	islmMinorahVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight07Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight08Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT

 
# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmScreamChance[1]     DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT

#GZ Marker visibility
    VAR BOOL    islmGZMarkerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGZBeamVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Randomized objects
    VAR BOOL    islmTreasureBook01Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook01Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook01Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook06Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook06Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook08Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook08Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Museum variables
    VAR BOOL    islmNegilahnLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Kahlo Pub Event Variables
    VAR BOOL    islmCityBlocker17Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE	islmKahloPubHallCollapse[1]    DEFAULT=0 DEFAULTOPTION=VAULT


}


STATEDESC city
{
# This version has been updated in build UruTap
	VERSION 30

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Kadish gallery stuff
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorsOn[1]    DEFAULT=0
    VAR BOOL    islmKadishGalleryDoor1Closed[1]    DEFAULT=1
    VAR BOOL    islmKadishGalleryDoor2Closed[1]    DEFAULT=1
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal11Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmRinerefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAileshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmShomatMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJakreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmVeeshaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMararonMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKoreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAhlsendarTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmSolathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeertaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmGanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmBenashirenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHemelinMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNaygenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHinashMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNeedrahMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRakeriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTejaraMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTiamelMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKedriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLemashalMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmIshekMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLoshemaneshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJiMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmDimathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmYableshanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmEmenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeemenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAdeshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLanarenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAsemlefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJaronMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRikoothMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKerathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT


# Reward Clothing
    VAR BOOL	islmHardHat01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT

# Seasonal and Holidays
    VAR BOOL	islmMinorahVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight07Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight08Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT

 
# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmScreamChance[1]     DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT

#GZ Marker visibility
    VAR BOOL    islmGZMarkerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGZBeamVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Randomized objects
    VAR BOOL    islmTreasureBook01Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook01Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook01Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook06Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook06Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook08Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook08Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Museum variables
    VAR BOOL    islmNegilahnLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Kahlo Pub Event Variables
    VAR BOOL    islmCityBlocker17Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE	islmKahloPubHallCollapse[1]    DEFAULT=0 DEFAULTOPTION=VAULT


}


STATEDESC city
{
# This version has been updated in build UruTap
	VERSION 31

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Kadish gallery stuff
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorsOn[1]    DEFAULT=0
    VAR BOOL    islmKadishGalleryDoor1Closed[1]    DEFAULT=1
    VAR BOOL    islmKadishGalleryDoor2Closed[1]    DEFAULT=1
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal11Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmRinerefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAileshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmShomatMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJakreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmVeeshaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMararonMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKoreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAhlsendarTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmSolathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeertaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmGanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmBenashirenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHemelinMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNaygenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHinashMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNeedrahMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRakeriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTejaraMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTiamelMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKedriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLemashalMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmIshekMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLoshemaneshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJiMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmDimathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmYableshanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmEmenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeemenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAdeshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLanarenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAsemlefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJaronMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRikoothMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKerathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT


# Reward Clothing
    VAR BOOL	islmHardHat01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmFirstWeekVis[1] DEFAULT=0 DEFAULTOPTION=VAULT

# Seasonal and Holidays
    VAR BOOL	islmMinorahVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight07Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight08Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT

 
# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmScreamChance[1]     DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT

#GZ Marker visibility
    VAR BOOL    islmGZMarkerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGZBeamVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Randomized objects
    VAR BOOL    islmTreasureBook01Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook01Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook01Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook06Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook06Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook08Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook08Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Museum variables
    VAR BOOL    islmNegilahnLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Kahlo Pub Event Variables
    VAR BOOL    islmCityBlocker17Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE	islmKahloPubHallCollapse[1]    DEFAULT=0 DEFAULTOPTION=VAULT


}


STATEDESC city
{
# This version has been updated in build UruTap
	VERSION 32

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Kadish gallery stuff
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorsOn[1]    DEFAULT=0
    VAR BOOL    islmKadishGalleryDoor1Closed[1]    DEFAULT=1
    VAR BOOL    islmKadishGalleryDoor2Closed[1]    DEFAULT=1
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal11Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmRinerefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAileshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmShomatMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJakreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmVeeshaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMararonMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKoreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAhlsendarTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmSolathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeertaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmGanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmBenashirenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHemelinMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNaygenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHinashMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNeedrahMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRakeriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTejaraMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTiamelMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKedriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLemashalMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmIshekMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLoshemaneshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJiMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmDimathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmYableshanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmEmenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeemenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAdeshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLanarenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAsemlefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJaronMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRikoothMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKerathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT


# Reward Clothing
    VAR BOOL	islmHardHat01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmFirstWeekVis[1] DEFAULT=0 DEFAULTOPTION=VAULT

# Seasonal and Holidays
    VAR BOOL	islmMinorahVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight07Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight08Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT

 
# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmScreamChance[1]     DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT

#GZ Marker visibility
    VAR BOOL    islmGZMarkerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGZBeamVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Randomized objects
    VAR BOOL    islmTreasureBook01Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook01Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook01Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook06Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook06Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook08Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook08Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Museum variables
    VAR BOOL    islmNegilahnLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnCreatureChartVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPodMapVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDerenoLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPayiferenLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTetsonotLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmYeeshaPageMoonsVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Kahlo Pub Event Variables
    VAR BOOL    islmCityBlocker17Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE	islmKahloPubHallCollapse[1]    DEFAULT=0 DEFAULTOPTION=VAULT


}


STATEDESC city
{
# This version has been updated in build UruTap
	VERSION 33

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Kadish gallery stuff
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorsOn[1]    DEFAULT=0
    VAR BOOL    islmKadishGalleryDoor1Closed[1]    DEFAULT=1
    VAR BOOL    islmKadishGalleryDoor2Closed[1]    DEFAULT=1
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGalleryThemePlayerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal11Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmRinerefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAileshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmShomatMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJakreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmVeeshaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMararonMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKoreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAhlsendarTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmSolathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeertaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmGanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmBenashirenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHemelinMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNaygenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHinashMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNeedrahMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRakeriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTejaraMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTiamelMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKedriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLemashalMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmIshekMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLoshemaneshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJiMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmDimathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmYableshanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmEmenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeemenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAdeshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLanarenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAsemlefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJaronMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRikoothMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKerathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT


# Reward Clothing
    VAR BOOL	islmHardHat01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmFirstWeekVis[1] DEFAULT=0 DEFAULTOPTION=VAULT

# Seasonal and Holidays
    VAR BOOL	islmMinorahVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight07Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight08Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT

 
# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmScreamChance[1]     DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT

#GZ Marker visibility
    VAR BOOL    islmGZMarkerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGZBeamVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Randomized objects
    VAR BOOL    islmTreasureBook01Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook01Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook01Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook06Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook06Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook08Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook08Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Museum variables
    VAR BOOL    islmNegilahnLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnCreatureChartVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPodMapVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDerenoLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPayiferenLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTetsonotLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmYeeshaPageMoonsVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Kahlo Pub Event Variables
    VAR BOOL    islmCityBlocker17Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE	islmKahloPubHallCollapse[1]    DEFAULT=0 DEFAULTOPTION=VAULT


}


STATEDESC city
{
# This version has been updated in build UruTap
	VERSION 34

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutLibraryRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutPalaceRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutFerryRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Kadish gallery stuff
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorsOn[1]    DEFAULT=0
    VAR BOOL    islmKadishGalleryDoor1Closed[1]    DEFAULT=1
    VAR BOOL    islmKadishGalleryDoor2Closed[1]    DEFAULT=1
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGalleryThemePlayerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal11Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmRinerefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAileshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmShomatMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJakreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmVeeshaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMararonMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKoreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAhlsendarTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmSolathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeertaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmGanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmBenashirenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHemelinMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNaygenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHinashMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNeedrahMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRakeriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTejaraMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTiamelMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKedriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLemashalMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmIshekMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLoshemaneshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJiMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmDimathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmYableshanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmEmenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeemenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAdeshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLanarenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAsemlefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJaronMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRikoothMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKerathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT


# Reward Clothing
    VAR BOOL	islmHardHat01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmFirstWeekVis[1] DEFAULT=0 DEFAULTOPTION=VAULT

# Seasonal and Holidays
    VAR BOOL	islmMinorahVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight07Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight08Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT

 
# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmScreamChance[1]     DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT

#GZ Marker visibility
    VAR BOOL    islmGZMarkerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGZBeamVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Randomized objects
    VAR BOOL    islmTreasureBook01Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook01Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook01Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook06Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook06Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook08Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook08Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Museum variables
    VAR BOOL    islmNegilahnLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnCreatureChartVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPodMapVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDerenoLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPayiferenLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTetsonotLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmYeeshaPageMoonsVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Kahlo Pub Event Variables
    VAR BOOL    islmCityBlocker17Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE	islmKahloPubHallCollapse[1]    DEFAULT=0 DEFAULTOPTION=VAULT


}


STATEDESC city
{
# This version has been updated in build UruTap
	VERSION 35

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutLibraryRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutPalaceRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutFerryRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmLakeLightMeterVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Kadish gallery stuff
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorsOn[1]    DEFAULT=0
    VAR BOOL    islmKadishGalleryDoor1Closed[1]    DEFAULT=1
    VAR BOOL    islmKadishGalleryDoor2Closed[1]    DEFAULT=1
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGalleryThemePlayerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal11Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmRinerefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAileshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmShomatMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJakreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmVeeshaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMararonMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKoreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAhlsendarTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmSolathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeertaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmGanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmBenashirenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHemelinMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNaygenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHinashMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNeedrahMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRakeriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTejaraMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTiamelMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKedriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLemashalMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmIshekMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLoshemaneshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJiMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmDimathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmYableshanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmEmenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeemenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAdeshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLanarenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAsemlefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJaronMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRikoothMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKerathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT


# Reward Clothing
    VAR BOOL	islmHardHat01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmFirstWeekVis[1] DEFAULT=0 DEFAULTOPTION=VAULT

# Seasonal and Holidays
    VAR BOOL	islmMinorahVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight07Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight08Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT

 
# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmScreamChance[1]     DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT

#GZ Marker visibility
    VAR BOOL    islmGZMarkerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGZBeamVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Randomized objects
    VAR BOOL    islmTreasureBook01Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook01Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook01Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook06Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook06Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook08Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook08Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Museum variables
    VAR BOOL    islmNegilahnLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnCreatureChartVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPodMapVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDerenoLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPayiferenLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTetsonotLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmYeeshaPageMoonsVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Kahlo Pub Event Variables
    VAR BOOL    islmCityBlocker17Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE	islmKahloPubHallCollapse[1]    DEFAULT=0 DEFAULTOPTION=VAULT


}



STATEDESC city
{
# This version has been updated in build UruTap
	VERSION 36

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutLibraryRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutPalaceRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutFerryRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmLakeLightMeterVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Kadish gallery stuff
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorsOn[1]    DEFAULT=0
    VAR BOOL    islmKadishGalleryDoor1Closed[1]    DEFAULT=1
    VAR BOOL    islmKadishGalleryDoor2Closed[1]    DEFAULT=1
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGalleryThemePlayerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal11Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmRinerefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAileshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmShomatMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJakreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmVeeshaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMararonMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKoreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAhlsendarTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmSolathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeertaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmGanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmBenashirenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHemelinMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNaygenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHinashMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNeedrahMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRakeriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTejaraMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTiamelMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKedriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLemashalMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmIshekMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLoshemaneshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJiMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmDimathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmYableshanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmEmenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeemenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAdeshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLanarenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAsemlefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJaronMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRikoothMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKerathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT


# Reward Clothing
    VAR BOOL	islmHardHat01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmFirstWeekVis[1] DEFAULT=0 DEFAULTOPTION=VAULT

# Seasonal and Holidays
    VAR BOOL	islmMinorahVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight07Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight08Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT

 
# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmScreamChance[1]     DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmMuseumDoorOps[1]    DEFAULT=0

#GZ Marker visibility
    VAR BOOL    islmGZMarkerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGZBeamVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Randomized objects
    VAR BOOL    islmTreasureBook01Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook01Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook01Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook06Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook06Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook08Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook08Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Museum variables
    VAR BOOL    islmNegilahnLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnCreatureChartVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPodMapVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDerenoLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPayiferenLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTetsonotLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmYeeshaPageMoonsVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Kahlo Pub Event Variables
    VAR BOOL    islmCityBlocker17Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE	islmKahloPubHallCollapse[1]    DEFAULT=0 DEFAULTOPTION=VAULT


}


STATEDESC city
{
# This version has been updated in build UruTap
	VERSION 37

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutLibraryRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutPalaceRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutFerryRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmLakeLightMeterVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmReaderBoardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Kadish gallery stuff
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorsOn[1]    DEFAULT=0
    VAR BOOL    islmKadishGalleryDoor1Closed[1]    DEFAULT=1
    VAR BOOL    islmKadishGalleryDoor2Closed[1]    DEFAULT=1
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGalleryThemePlayerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal11Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmRinerefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAileshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmShomatMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJakreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmVeeshaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMararonMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKoreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAhlsendarTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmSolathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeertaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmGanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmBenashirenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHemelinMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNaygenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHinashMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNeedrahMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRakeriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTejaraMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTiamelMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKedriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLemashalMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmIshekMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLoshemaneshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJiMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmDimathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmYableshanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmEmenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeemenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAdeshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLanarenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAsemlefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJaronMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRikoothMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKerathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT


# Reward Clothing
    VAR BOOL	islmHardHat01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmFirstWeekVis[1] DEFAULT=0 DEFAULTOPTION=VAULT

# Seasonal and Holidays
    VAR BOOL	islmMinorahVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight07Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight08Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT

 
# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmScreamChance[1]     DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmMuseumDoorOps[1]    DEFAULT=0

#GZ Marker visibility
    VAR BOOL    islmGZMarkerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGZBeamVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Randomized objects
    VAR BOOL    islmTreasureBook01Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook01Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook01Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook06Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook06Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook08Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook08Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Museum variables
    VAR BOOL    islmNegilahnLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnCreatureChartVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPodMapVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDerenoLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPayiferenLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTetsonotLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmYeeshaPageMoonsVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Kahlo Pub Event Variables
    VAR BOOL    islmCityBlocker17Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE	islmKahloPubHallCollapse[1]    DEFAULT=0 DEFAULTOPTION=VAULT


}


STATEDESC city
{
# This version has been updated in build UruTap
	VERSION 38

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutLibraryRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutPalaceRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutFerryRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmLakeLightMeterVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmReaderBoardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Kadish gallery stuff
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorsOn[1]    DEFAULT=0
    VAR BOOL    islmKadishGalleryDoor1Closed[1]    DEFAULT=1
    VAR BOOL    islmKadishGalleryDoor2Closed[1]    DEFAULT=1
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGalleryThemePlayerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal11Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmRinerefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAileshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmShomatMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJakreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmVeeshaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMararonMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKoreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAhlsendarTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmSolathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeertaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmGanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmBenashirenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHemelinMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNaygenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHinashMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNeedrahMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRakeriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTejaraMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTiamelMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKedriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLemashalMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmIshekMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLoshemaneshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJiMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmDimathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmYableshanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmEmenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeemenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAdeshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLanarenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAsemlefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJaronMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRikoothMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKerathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT


# Reward Clothing
    VAR BOOL	islmHardHat01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmFirstWeekVis[1] DEFAULT=0 DEFAULTOPTION=VAULT

# Seasonal and Holidays
    VAR BOOL	islmMinorahVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight07Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight08Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT

 
# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmScreamChance[1]     DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmMuseumDoorOps[1]    DEFAULT=0

#GZ Marker visibility
    VAR BOOL    islmGZMarkerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGZBeamVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Randomized objects
    VAR BOOL    islmTreasureBook01Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook01Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook01Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook06Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook06Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook08Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook08Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Museum variables
    VAR BOOL    islmNegilahnLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnCreatureChartVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPodMapVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDerenoLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPayiferenLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTetsonotLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmYeeshaPageMoonsVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Kahlo Pub Event Variables
    VAR BOOL    islmCityBlocker17Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE	islmKahloPubHallCollapse[1]    DEFAULT=0 DEFAULTOPTION=VAULT


# Library variables
    VAR BOOL    islmMinkataLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT



}

STATEDESC city
{
# This version has been updated in build UruTap
	VERSION 39

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutLibraryRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutPalaceRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutFerryRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmLakeLightMeterVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmReaderBoardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Kadish gallery stuff
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorsOn[1]    DEFAULT=0
    VAR BOOL    islmKadishGalleryDoor1Closed[1]    DEFAULT=1
    VAR BOOL    islmKadishGalleryDoor2Closed[1]    DEFAULT=1
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGalleryThemePlayerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal11Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmRinerefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAileshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmShomatMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJakreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmVeeshaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMararonMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKoreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAhlsendarTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmSolathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeertaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmGanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmBenashirenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHemelinMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNaygenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHinashMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNeedrahMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRakeriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTejaraMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTiamelMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKedriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLemashalMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmIshekMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLoshemaneshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJiMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmDimathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmYableshanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmEmenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeemenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAdeshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLanarenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAsemlefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJaronMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRikoothMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKerathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT


# Reward Clothing
    VAR BOOL	islmHardHat01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmFirstWeekVis[1] DEFAULT=0 DEFAULTOPTION=VAULT

# Seasonal and Holidays
    VAR BOOL	islmMinorahVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight07Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight08Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT

 
# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmScreamChance[1]     DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmMuseumDoorOps[1]    DEFAULT=0

#GZ Marker visibility
    VAR BOOL    islmGZMarkerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGZBeamVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Randomized objects
    VAR BOOL    islmTreasureBook01Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook01Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook01Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook06Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook06Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook08Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook08Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Museum variables
    VAR BOOL    islmNegilahnLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnCreatureChartVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPodMapVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDerenoLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPayiferenLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTetsonotLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmYeeshaPageMoonsVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Kahlo Pub Event Variables
    VAR BOOL    islmCityBlocker17Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE	islmKahloPubHallCollapse[1]    DEFAULT=0 DEFAULTOPTION=VAULT


# Library variables
    VAR BOOL    islmMinkataLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Memorial Imager
    VAR INT     MemorialImagerStartTime[1]       DEFAULT=0   DISPLAYOPTION=hidden
}


STATEDESC city
{
# This version has been updated in build UruTap
	VERSION 40

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutLibraryRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutPalaceRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutFerryRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmLakeLightMeterVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmReaderBoardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Kadish gallery stuff
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorsOn[1]    DEFAULT=0
    VAR BOOL    islmKadishGalleryDoor1Closed[1]    DEFAULT=1
    VAR BOOL    islmKadishGalleryDoor2Closed[1]    DEFAULT=1
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGalleryThemePlayerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal11Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmRinerefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAileshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmShomatMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJakreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmVeeshaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMararonMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKoreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAhlsendarTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmSolathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeertaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmGanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmBenashirenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHemelinMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNaygenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHinashMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNeedrahMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRakeriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTejaraMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTiamelMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKedriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLemashalMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmIshekMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLoshemaneshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJiMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmDimathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmYableshanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmEmenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeemenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAdeshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLanarenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAsemlefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJaronMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRikoothMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKerathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT


# Reward Clothing
    VAR BOOL	islmHardHat01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmFirstWeekVis[1] DEFAULT=0 DEFAULTOPTION=VAULT

# Seasonal and Holidays
    VAR BOOL	islmMinorahVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight07Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight08Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT

 
# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmScreamChance[1]     DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmMuseumDoorOps[1]    DEFAULT=0

#GZ Marker visibility
    VAR BOOL    islmGZMarkerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGZBeamVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Randomized objects
    VAR BOOL    islmTreasureBook01Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook01Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook01Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook06Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook06Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook08Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook08Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Museum variables
    VAR BOOL    islmNegilahnLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnCreatureChartVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPodMapVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDerenoLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPayiferenLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTetsonotLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmYeeshaPageMoonsVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Kahlo Pub Event Variables
    VAR BOOL    islmCityBlocker17Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE	islmKahloPubHallCollapse[1]    DEFAULT=0 DEFAULTOPTION=VAULT


# Library variables
    VAR BOOL    islmMinkataLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Memorial Imager
    VAR INT     MemorialImagerStartTime[1]       DEFAULT=0   DISPLAYOPTION=hidden
    VAR BOOL    islmMemorialImagerVis[1]  	 DEFAULT=0 DEFAULTOPTION=VAULT
}


STATEDESC city
{
# This version has been updated in build UruTap
	VERSION 41

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutLibraryRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutPalaceRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutFerryRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmLakeLightMeterVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmReaderBoardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Kadish gallery stuff
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorsOn[1]    DEFAULT=0
    VAR BOOL    islmKadishGalleryDoor1Closed[1]    DEFAULT=1
    VAR BOOL    islmKadishGalleryDoor2Closed[1]    DEFAULT=1
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGalleryThemePlayerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal11Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmRinerefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAileshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmShomatMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJakreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmVeeshaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMararonMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKoreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAhlsendarTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmSolathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeertaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmGanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmBenashirenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHemelinMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNaygenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHinashMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNeedrahMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRakeriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTejaraMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTiamelMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKedriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLemashalMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmIshekMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLoshemaneshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJiMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmDimathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmYableshanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmEmenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeemenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAdeshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLanarenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAsemlefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJaronMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRikoothMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKerathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT


# Reward Clothing
    VAR BOOL	islmHardHat01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmFirstWeekVis[1] DEFAULT=0 DEFAULTOPTION=VAULT

# Seasonal and Holidays
    VAR BOOL	islmMinorahVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight07Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight08Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT

 
# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmScreamChance[1]     DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmMuseumDoorOps[1]    DEFAULT=0

#GZ Marker visibility
    VAR BOOL    islmGZMarkerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGZBeamVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Randomized objects
    VAR BOOL    islmTreasureBook01Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook01Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook01Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook06Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook06Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook08Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook08Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Museum variables
    VAR BOOL    islmNegilahnLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnCreatureChartVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPodMapVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDerenoLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPayiferenLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTetsonotLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmYeeshaPageMoonsVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Kahlo Pub Event Variables
    VAR BOOL    islmCityBlocker17Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE	islmKahloPubHallCollapse[1]    DEFAULT=0 DEFAULTOPTION=VAULT


# Library variables
    VAR BOOL    islmMinkataLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJalakLinkingBookVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Memorial Imager
    VAR INT     MemorialImagerStartTime[1]       DEFAULT=0   DISPLAYOPTION=hidden
    VAR BOOL    islmMemorialImagerVis[1]  	 DEFAULT=0 DEFAULTOPTION=VAULT
}


STATEDESC city
{
# This version has been updated in build UruTap
	VERSION 42

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutLibraryRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutPalaceRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutFerryRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmLakeLightMeterVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmReaderBoardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmS1FinaleBahro[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Kadish gallery stuff
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorsOn[1]    DEFAULT=0
    VAR BOOL    islmKadishGalleryDoor1Closed[1]    DEFAULT=1
    VAR BOOL    islmKadishGalleryDoor2Closed[1]    DEFAULT=1
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGalleryThemePlayerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal11Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmRinerefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAileshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmShomatMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJakreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmVeeshaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMararonMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKoreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAhlsendarTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmSolathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeertaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmGanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmBenashirenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHemelinMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNaygenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHinashMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNeedrahMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRakeriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTejaraMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTiamelMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKedriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLemashalMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmIshekMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLoshemaneshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJiMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmDimathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmYableshanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmEmenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeemenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAdeshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLanarenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAsemlefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJaronMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRikoothMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKerathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT


# Reward Clothing
    VAR BOOL	islmHardHat01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmFirstWeekVis[1] DEFAULT=0 DEFAULTOPTION=VAULT

# Seasonal and Holidays
    VAR BOOL	islmMinorahVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight07Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight08Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT

 
# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmScreamChance[1]     DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmMuseumDoorOps[1]    DEFAULT=0

#GZ Marker visibility
    VAR BOOL    islmGZMarkerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGZBeamVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Randomized objects
    VAR BOOL    islmTreasureBook01Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook01Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook01Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook06Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook06Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook08Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook08Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Museum variables
    VAR BOOL    islmNegilahnLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnCreatureChartVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPodMapVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDerenoLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPayiferenLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTetsonotLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmYeeshaPageMoonsVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Kahlo Pub Event Variables
    VAR BOOL    islmCityBlocker17Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE	islmKahloPubHallCollapse[1]    DEFAULT=0 DEFAULTOPTION=VAULT


# Library variables
    VAR BOOL    islmMinkataLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJalakLinkingBookVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Memorial Imager
    VAR INT     MemorialImagerStartTime[1]       DEFAULT=0   DISPLAYOPTION=hidden
    VAR BOOL    islmMemorialImagerVis[1]  	 DEFAULT=0 DEFAULTOPTION=VAULT
}


STATEDESC city
{
# This version has been updated in build UruTap
	VERSION 43

# Boolean variables
    VAR BOOL    islmCityBlocker01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker04Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker05Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker06Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker08Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker09Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker10Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker11Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker12Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker13Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker14Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmCityBlocker15Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    
    VAR BOOL    islmJourneyCloth01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth02Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth03Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth04Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJourneyCloth05Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutLibraryRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutPalaceRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmBahroShoutFerryRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmLakeLightMeterVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmReaderBoardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmS1FinaleBahro[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmS1FinaleBahroCity1[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmS1FinaleBahroCity2[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmS1FinaleBahroCity3[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmS1FinaleBahroCity4[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmS1FinaleBahroCity5[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmS1FinaleBahroCity6[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Kadish gallery stuff
    VAR BOOL    kdshJourneyCloth07Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmKadishGalleryDoorsOn[1]    DEFAULT=0
    VAR BOOL    islmKadishGalleryDoor1Closed[1]    DEFAULT=1
    VAR BOOL    islmKadishGalleryDoor2Closed[1]    DEFAULT=1
    
    VAR BOOL    islmTreasureBook01Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT # links into Garrison Prison
    VAR BOOL    islmGuildHallConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDRCTentVis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmPlayerMap01Vis[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmShroomiePictVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryTerminalCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmStepCratesVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkCourtyardVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGreatZeroVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTokotahMeetingsVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmExplosionRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmUnderwaterHarborLightsRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmScreamRun[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTeledahnLinkLibraryExteriorVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmFerryDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmCanyonConstructionVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGalleryThemePlayerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL	islmTokotahJournal01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal07Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal08Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal09Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal10Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTokotahJournal11Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmRinerefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAileshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmShomatMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJakreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmVeeshaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMararonMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKoreenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAhlsendarTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmSolathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeertaMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmGanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmBenashirenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHemelinMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNaygenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmHinashMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmNeedrahMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRakeriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTejaraMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmTiamelMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKedriMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLemashalMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmIshekMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLoshemaneshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJiMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmDimathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmYableshanMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmEmenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMeemenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAdeshMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmLanarenMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmAsemlefMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmJaronMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmRikoothMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmKerathMTKJournalVis[1] DEFAULT=0 DEFAULTOPTION=VAULT


# Reward Clothing
    VAR BOOL	islmHardHat01Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat02Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat03Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat04Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat05Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL	islmHardHat06Vis[1] DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BOOL    islmFirstWeekVis[1] DEFAULT=0 DEFAULTOPTION=VAULT

# Seasonal and Holidays
    VAR BOOL	islmMinorahVis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight01Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight02Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight03Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight04Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight05Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight06Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight07Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL	islmMinorahNight08Vis[1] DEFAULT=0 DEFAULTOPTION=VAULT

 
# State variables
    VAR BYTE    islmDRCStageState[1]    DEFAULT=1 DEFAULTOPTION=VAULT
    VAR BYTE    islmCityBlocker16State[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmScreamChance[1]     DEFAULT=0 DEFAULTOPTION=VAULT

# Age Mechanics
    VAR BOOL    islmLibraryLowerDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorClosed[1]    DEFAULT=1
    VAR BOOL    islmMuseumDoorFunc[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmMuseumDoorOps[1]    DEFAULT=0

#GZ Marker visibility
    VAR BOOL    islmGZMarkerVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmGZBeamVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Randomized objects
    VAR BOOL    islmTreasureBook01Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook01Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook01Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook06Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook06Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook06Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

    VAR BOOL    islmTreasureBook08Enabled[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE    islmTreasureBook08Chance[1]     DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTreasureBook08Proximity[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Museum variables
    VAR BOOL    islmNegilahnLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTodelmerJournalVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmNegilahnCreatureChartVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPodMapVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmDerenoLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmPayiferenLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmTetsonotLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmYeeshaPageMoonsVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT

# Kahlo Pub Event Variables
    VAR BOOL    islmCityBlocker17Vis[1]    DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BYTE	islmKahloPubHallCollapse[1]    DEFAULT=0 DEFAULTOPTION=VAULT


# Library variables
    VAR BOOL    islmMinkataLinkingBookVis[1]  DEFAULT=0 DEFAULTOPTION=VAULT
    VAR BOOL    islmJalakLinkingBookVis[1]    DEFAULT=0 DEFAULTOPTION=VAULT

# Memorial Imager
    VAR INT     MemorialImagerStartTime[1]       DEFAULT=0   DISPLAYOPTION=hidden
    VAR BOOL    islmMemorialImagerVis[1]  	 DEFAULT=0 DEFAULTOPTION=VAULT
}

